This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 689931 - (CVE-2011-1179) CVE-2011-1179 spice-xpi: unitialized pointer writes possible when getting plugin properties
CVE-2011-1179 spice-xpi: unitialized pointer writes possible when getting plu...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20110407,reported=20110321,sou...
: Security
Depends On: 689932 689933 689934 689935
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-22 15:58 EDT by Petr Matousek
Modified: 2012-02-27 10:19 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-27 10:19:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Resolution of the security issue (nsPluginInstance, getters and setters) (22.79 KB, patch)
2011-03-23 07:07 EDT, Peter Hatina
no flags Details | Diff
I also attach spec file patch for rpmbuild. (1.08 KB, patch)
2011-03-23 07:09 EDT, Peter Hatina
no flags Details | Diff

  None (edit)
Description Petr Matousek 2011-03-22 15:58:13 EDT
An uninitialized pointer use flaw was found in the SPICE Firefox plug-in. If a user were tricked into visiting a malicious web page with Firefox while the SPICE plug-in is enabled, it could cause Firefox to crash or, possibly, execute arbitrary code with the privileges of the user running Firefox.
Comment 2 Peter Hatina 2011-03-23 07:07:23 EDT
Created attachment 487006 [details]
Resolution of the security issue (nsPluginInstance, getters and setters)
Comment 3 Peter Hatina 2011-03-23 07:09:40 EDT
Created attachment 487008 [details]
I also attach spec file patch for rpmbuild.
Comment 5 errata-xmlrpc 2011-04-07 18:19:45 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0427 https://rhn.redhat.com/errata/RHSA-2011-0427.html
Comment 6 errata-xmlrpc 2011-04-07 18:20:06 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0426 https://rhn.redhat.com/errata/RHSA-2011-0426.html
Comment 7 Peter Hatina 2012-02-27 10:19:27 EST
Fixed.

Note You need to log in before you can comment on or make changes to this bug.